/* AMX MOD X SCRIPT
*  Force Admin Tag 1.0
*  Nov. 11th, 2004
*  By: BigBaller
*
*  Simple plugin, what it does is changes a players name if they have admin on the server.
*  This can be changed by the amx_forcetag cvar. 1 is to enable, 0 to disable. 
*  Enabled by default.
*
*  If user changes name during game, this plugin will detect it and change users name to add
*  the admin tag.
*
*  This should work on any Half-Life based mod running AMX MOD X.
*  
*  Credits
*  AMX MOD X Scripting Forum (http://www.amxmodx.org/forums/viewforum.php?f=8)
*  
*  PM            - for giving a idea on how to detect if user has [ADMIN] in name already.
*  XxAvalanchexX - suggesting use of is_user_admin() stock
*  Janzert       - for fixing the nasty loop I kept getting and making a more efficent code.
*
*/

#include <amxmodx>
#include <amxmisc>

public plugin_init(){
    register_plugin("Force Admin Tags", "1.0", "BigBaller")
    register_cvar("amx_forcetag", "1")
}

public client_putinserver(id){
        set_task(1.5,"admin_entered",id)
}        

public admin_entered(id){
    new name[32]
    get_user_name(id, name, 31)
    return force_tag(id, name)
}

force_tag(id, name[]) {
    if (get_cvar_num("amx_forcetag")==1){
        if (is_user_admin(id) && (!equal(name, "[ADMIN]", 7))) {
                client_cmd(id,"name ^"[ADMIN] %s^"", name)
        }
    }
    return PLUGIN_CONTINUE
} 

public client_infochanged(id){
        new name[32]
        get_user_info(id, "name", name, 31)
        return force_tag(id, name)
} 

